Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression.ast
Class ExpressionParserTokenManager

    java.lang.Object
      org.codehaus.aspectwerkz.expression.ast.ExpressionParserTokenManager

All Implemented Interfaces:
  ExpressionParserConstants

    public class ExpressionParserTokenManager

extends Object
implements ExpressionParserConstants

Field Summary
`protected static char` | `curChar`
`static PrintStream` | `debugStream`
`protected static SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.codehaus.aspectwerkz.expression.ast.ExpressionParserConstants
`AND, ARG_ARRAY_PATTERN, ARG_IDENTIFIER, ARG_JAVA_NAME_LETTER, ARG_PATTERN, ARGS, ARGS_END, ARRAY, CALL, CFLOW, CFLOW_BELOW, CLASS, CLASS_ABSTRACT, CLASS_ATTRIBUTE, CLASS_EXACT_IDENTIFIER, CLASS_FINAL, CLASS_IDENTIFIER, CLASS_JAVA_NAME_LETTER, CLASS_NOT, CLASS_PATTERN, CLASS_POINTCUT_END, CLASS_PRIVATE, CLASS_PROTECTED, CLASS_PUBLIC, CLASS_STATIC, COMMA, DEFAULT, DOT, EAGER_WILDCARD, EOF, EXECUTION, FIELD, FIELD_ABSTRACT, FIELD_ANNOTATION, FIELD_ARRAY_CLASS_PATTERN, FIELD_ATTRIBUTE_EXACT_IDENTIFIER, FIELD_CLASS_PATTERN, FIELD_FINAL, FIELD_IDENTIFIER, FIELD_JAVA_NAME_LETTER, FIELD_NOT, FIELD_POINTCUT_END, FIELD_PRIVATE, FIELD_PROTECTED, FIELD_PUBLIC, FIELD_STATIC, FIELD_TRANSIENT, GET, HANDLER, HAS_FIELD, HAS_METHOD, IF, IN_ARGS, METHOD, METHOD_ABSTRACT, METHOD_ANNOTATION, METHOD_ARRAY_CLASS_PATTERN, METHOD_ATTRIBUTE_EXACT_IDENTIFIER, METHOD_CLASS_PATTERN, METHOD_FINAL, METHOD_IDENTIFIER, METHOD_JAVA_NAME_LETTER, METHOD_NATIVE, METHOD_NOT, METHOD_PARAMETER_END, METHOD_PARAMETER_START, METHOD_PRIVATE, METHOD_PROTECTED, METHOD_PUBLIC, METHOD_STATIC, METHOD_SYNCHRONIZED, NOT, OR, PARAMETER_ANNOTATION, PARAMETER_ARRAY_CLASS_PATTERN, PARAMETER_CLASS_PATTERN, PARAMETER_IDENTIFIER, PARAMETER_JAVA_NAME_LETTER, PARAMETER_NOT, PARAMETERS, POINTCUT_REFERENCE, POINTCUT_REFERENCE_WITH_ARGS, SET, STATIC_INITIALIZATION, TARGET, THIS, tokenImage, TYPE_STATICINITIALIZATION, WILDCARD, WITHIN, WITHIN_CODE`

Constructor Summary
`ExpressionParserTokenManager(SimpleCharStream stream)`
`ExpressionParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`static Token` | `getNextToken()`
`protected static Token` | `jjFillToken()`
`static void` | `ReInit(SimpleCharStream stream)`
`static void` | `ReInit(SimpleCharStream stream, int lexState)`
`static void` | `setDebugStream(PrintStream ds)`
`static void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected static SimpleCharStream input_stream

### curChar

    protected static char curChar

Constructor Detail

### ExpressionParserTokenManager

    public ExpressionParserTokenManager(SimpleCharStream stream)

### ExpressionParserTokenManager

    public ExpressionParserTokenManager(SimpleCharStream stream,
                                        int lexState)

Method Detail

### setDebugStream

    public static void setDebugStream(PrintStream ds)

### ReInit

    public static void ReInit(SimpleCharStream stream)

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

### SwitchTo

    public static void SwitchTo(int lexState)

### jjFillToken

    protected static Token jjFillToken()

### getNextToken

    public static Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.